using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using XNACS1Lib;

/// Information on Resoruces:
/// 
/// Images: All images download from: Microsoft Office Clipart: http://office.microsoft.com/en-us/images/
///         format of images may have been converted.
/// 
/// Audio Effect: Recrord by Kelvin Sung.
/// 
/// Background audio: BackgroundMusic.mp3
///     Extracted from: Somewhere Sunny (ver 2).mp3
///     Downloaded from: incompetech.com
///     Original Composer: Kevin MacLeod
///     


namespace ClassExample
{
    /// <summary>
    /// This is the main type for your game
    /// </summary>
    public class ClassExample : XNACS1Base
    {
        // Variables should be declared here
        // and initialized in "InitializedWorld()"

        /// <summary>
        /// Initialize the internal state of your game
        /// </summary>
        protected override void InitializeWorld()
        {
            // Default window size is 800x600
            #region Initialize the window and coordinate
            const float kBgAudioLevel = 0.1f;   // Default Audio level
            const int kWindowWidth = 800;       // Default Window Width
            const int kWindowHeight = 600;      // Default Window Height

            PlayBackgroundAudio("BackgroundMusic", kBgAudioLevel);          // Background audio
            SetAppWindowPixelDimension(false, kWindowWidth, kWindowHeight); // Not full screen
            World.SetWorldCoordinate(Vector2.Zero, kWindowWidth);           // Each pixel is one unit
            #endregion
            World.SetBackgroundColor(Color.White);

        }

        /// <summary>
        /// Update the internal state of your game
        /// </summary>
        protected override void UpdateWorld()
        {          
            #region Quit: if the back-button ("F1") is pressed
            if (GamePad.ButtonBackClicked())
                Exit();
            #endregion 

            EchoToBottomStatus("Simple Program");

        }
    }
}